﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SweetBunsContracts.Extensions;
using SweetBunsContracts.Infrastructure;
using SweetBunsContracts.Exceptions;

namespace SweetBunsContracts.DataModels;

public class IngredientDataModel(string id, string name) : IValidation
{
    public string Id { get; private set; } = id;
    public string Name { get; private set; } = name;
    public void Validate()
    {
        if (Id.IsEmpty())
            throw new ValidationException("Field Id is empty");

        if (!Id.IsGuid())
            throw new ValidationException("The value in the field Id is not a unique identifier");

        if (Name.IsEmpty())
            throw new ValidationException("Field FIO is empty");
    }
}
