﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using SweetBunsContracts.Extensions;
using SweetBunsContracts.Infrastructure;
using SweetBunsContracts.Exceptions;

namespace SweetBunsContracts.DataModels;

public class ProductIngridientDataModel(string ingredientId,int amountOfIngredients, string productId) : IValidation
{
    public string IngredientId { get; private set; } = ingredientId;
    public int AmountOfIngredients { get; private set; } = amountOfIngredients;

    public string ProductId { get; private set; } = productId;

    public void Validate()
    {
        if (IngredientId.IsEmpty())
            throw new ValidationException("Field IngredientId is empty");

        if (!IngredientId.IsGuid())
            throw new ValidationException("The value in the field IngredientId is not a unique identifier");

        if (ProductId.IsEmpty())
            throw new ValidationException("Field ProductId is empty");

        if (!ProductId.IsGuid())
            throw new ValidationException("The value in the field ProductId is not a unique identifier");

        
    }
}
